#ifndef IDEV_INFO_API_H_
#define IDEV_INFO_API_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <stdio.h>

/*!
 * \brief Get device info.
 * \param[out] res: result in json
 * \param[in] res_size: buffer size
 * \param[in] version: protocol version, nullptr means using lastest.
 * \return 0 for success.
 */
int idev_get_info(char *res, uint32_t res_size, const char *version = nullptr);

#ifdef __cplusplus
}
#endif

#endif  // IDEV_INFO_API_H_
